<template>
    <div>
        <breadcrumb-component title="Clientes" :pages="breadPages"/>

        <panel-component title="Editar cliente">

            <form-client :formData="formData" :isUpdate="true"></form-client>

        </panel-component>
    </div>
</template>

<script>
    import FormClientComponent from './FormClientComponent'

    export default {
        props: {
            id: {
                require: true
            }
        },

        components: {
            FormClient: FormClientComponent
        },

        data() {
            return {
                formData: {
                    id: '',
                    tipo: '',
                    name: '',
                    email: '',
                    telefone: '',
                    celular: '',
                    site: '',
                    observacao: '',
                    type_client_physicals: {
                        cpf: '',
                        rg: '',
                        data_nascimento: '',
                    },
                    type_client_legals: {
                        cnpj: '',
                        razao_social: '',
                        inscricao_estadual: '',
                        inscricao_municipal: '',
                        suframa: '',
                        tipo_contribuinte: '',
                        responsavel: '',
                    },
                    type_client_foreigns: {
                        documento: ''
                    },
                    address_clients: [
                        {
                            type: '',
                            cep: '',
                            logradouro: '',
                            numero: '',
                            complemento: '',
                            bairro: '',
                            cidade: '',
                            uf: '',
                        }
                    ],
                    contact_clients: [],
                },

                breadPages: [
                    {link: 'dashboard', name: 'Dashboard', active: false},
                    {link: 'clients', name: 'Clientes', active: false},
                    {link: 'clients.edit', name: 'Editar', active: true},
                ],
            }
        },

        created() {
            this.$store.dispatch('loadClient', this.id)
                .then(response => {
                    this.formData = response
                })
                .catch(() => {
                    this.$snotify.error('Cliente não encontrado', '404')
                    this.$router.push({name: 'clients'})
                })
        }
    }
</script>